SSD1306 OLED display driver 1.7.8 This library is developed to control SSD1306/SSD1331/SSD1351/IL9163/PCD8554 RGB i2c/spi LED displays

Public Member Functions | Public Attributes | List of all members
_NanoPoint Struct Reference
NANO_ENGINE: Nano Engine description

`#include <point.h>`

## Public Member Functions
void | setPoint (lcdint_t px, lcdint_t py)
_NanoPoint & | operator>>= (const uint8_t bits)
_NanoPoint & | operator<<= (const uint8_t bits)
_NanoPoint & | operator+= (const _NanoPoint &p)
_NanoPoint & | operator-= (const _NanoPoint &p)
_NanoPoint | operator- (const _NanoPoint &p)
_NanoPoint | operator+ (const _NanoPoint &p)
_NanoPoint | operator>> (const uint8_t bits) const
_NanoPoint | operator<< (const uint8_t bits) const
_NanoPoint | operator/ (const int16_t d) const

## Public Attributes
lcdint_t | x
lcdint_t | y

## Detailed Description

Describes point

Definition at line 40 of file point.h.

## Member Function Documentation

## ◆ operator+()

_NanoPoint _NanoPoint::operator+ | ( | const _NanoPoint & | p | ) |
| inline

Adds point.

Parameters

  p | - point values to add to the point.

Definition at line 118 of file point.h.

## ◆ operator+=()

_NanoPoint& _NanoPoint::operator+= | ( | const _NanoPoint & | p | ) |
| inline

Adds point.

Parameters

  p | - point values to add to the point.

Definition at line 86 of file point.h.

## ◆ operator-()

_NanoPoint _NanoPoint::operator- | ( | const _NanoPoint & | p | ) |
| inline

Subtracts point.

Parameters

  p | - point values to subtract from the point.

Definition at line 108 of file point.h.

## ◆ operator-=()

_NanoPoint& _NanoPoint::operator-= | ( | const _NanoPoint & | p | ) |
| inline

Subtracts point.

Parameters

  p | - point values to subtract from the point.

Definition at line 97 of file point.h.

## ◆ operator/()

_NanoPoint _NanoPoint::operator/ | ( | const int16_t | d | ) | const
| inline

Divides x,y value of the point by d value.

Parameters

  d | divider

Definition at line 148 of file point.h.

## ◆ operator<<()

_NanoPoint _NanoPoint::operator<< | ( | const uint8_t | bits | ) | const
| inline

Shifts left x,y value of the point by bits value.

Parameters

  bits | - number of bits to shift

Definition at line 138 of file point.h.

## ◆ operator<<=()

_NanoPoint& _NanoPoint::operator<<= | ( | const uint8_t | bits | ) |
| inline

Shifts left x,y value of the point by bits value.

Parameters

  bits | - number of bits to shift

Definition at line 75 of file point.h.

## ◆ operator>>()

_NanoPoint _NanoPoint::operator>> | ( | const uint8_t | bits | ) | const
| inline

Shifts right x,y value of the point by bits value.

Parameters

  bits | - number of bits to shift

Definition at line 128 of file point.h.

## ◆ operator>>=()

_NanoPoint& _NanoPoint::operator>>= | ( | const uint8_t | bits | ) |
| inline

Shifts right x,y value of the point by bits value.

Parameters

  bits | - number of bits to shift

Definition at line 64 of file point.h.

## ◆ setPoint()

void _NanoPoint::setPoint | ( | lcdint_t | px,
|  | lcdint_t | py
| ) |  |
| inline

Initializes NanoPoint with specified values

Parameters

  px | - x position
  py | - y position

Definition at line 58 of file point.h.

## Member Data Documentation

## ◆ x

lcdint_t _NanoPoint::x

x position in pixels

Definition at line 43 of file point.h.

## ◆ y

lcdint_t _NanoPoint::y

y position in pixels

Definition at line 45 of file point.h.

The documentation for this struct was generated from the following file:

- src/nano_engine/point.h